
_ReadEEPROM:

;I2C.c,54 :: 		void ReadEEPROM(char adr_h, char adr_l)                                        //   24512 0-256 
;I2C.c,59 :: 		for (k=0; k<64; k++)
	CLRF       ReadEEPROM_k_L0+0
L_ReadEEPROM0:
	MOVLW      64
	SUBWF      ReadEEPROM_k_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ReadEEPROM1
;I2C.c,61 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,62 :: 		I2C1_Wr(0xA2);                                                                // send byte via I2C  (device address + W)
	MOVLW      162
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,63 :: 		I2C1_Wr(adr_h);                                                               //   
	MOVF       FARG_ReadEEPROM_adr_h+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,64 :: 		I2C1_Wr(k + adr_l);                                                           // send byte (data address)
	MOVF       FARG_ReadEEPROM_adr_l+0, 0
	ADDWF      ReadEEPROM_k_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,65 :: 		I2C1_Repeated_Start();                                                        // issue I2C signal repeated start
	CALL       _I2C1_Repeated_Start+0
;I2C.c,66 :: 		I2C1_Wr(0xA3);                                                                // send byte (device address + R)
	MOVLW      163
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,67 :: 		BUFfrom[k] = I2C1_Rd(0u);                                                     //
	MOVF       ReadEEPROM_k_L0+0, 0
	ADDLW      _BUFfrom+0
	MOVWF      FLOC__ReadEEPROM+0
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       FLOC__ReadEEPROM+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;I2C.c,68 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,59 :: 		for (k=0; k<64; k++)
	INCF       ReadEEPROM_k_L0+0, 1
;I2C.c,70 :: 		}
	GOTO       L_ReadEEPROM0
L_ReadEEPROM1:
;I2C.c,71 :: 		ByteRS=0;                                                                     // 
	CLRF       _ByteRS+0
;I2C.c,72 :: 		}
	RETURN
; end of _ReadEEPROM

_WriteEEPROM_0_bank:

;I2C.c,74 :: 		void WriteEEPROM_0_bank(char adr)                                              //   2404  0-256 
;I2C.c,77 :: 		for (k=0; k<64; k++)
	CLRF       WriteEEPROM_0_bank_k_L0+0
L_WriteEEPROM_0_bank3:
	MOVLW      64
	SUBWF      WriteEEPROM_0_bank_k_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_WriteEEPROM_0_bank4
;I2C.c,79 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,80 :: 		I2C1_Wr(0xA0);                                                                // send byte via I2C  (device address + 0_ + W)
	MOVLW      160
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,81 :: 		I2C1_Wr(k + adr);                                                                   // send byte (address of EEPROM location)
	MOVF       FARG_WriteEEPROM_0_bank_adr+0, 0
	ADDWF      WriteEEPROM_0_bank_k_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,82 :: 		I2C1_Wr(BUFfrom[k]);                                                          // send data (data to be written)
	MOVF       WriteEEPROM_0_bank_k_L0+0, 0
	ADDLW      _BUFfrom+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,83 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,84 :: 		Delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_WriteEEPROM_0_bank6:
	DECFSZ     R13+0, 1
	GOTO       L_WriteEEPROM_0_bank6
	DECFSZ     R12+0, 1
	GOTO       L_WriteEEPROM_0_bank6
;I2C.c,77 :: 		for (k=0; k<64; k++)
	INCF       WriteEEPROM_0_bank_k_L0+0, 1
;I2C.c,85 :: 		}                                                                             // issue I2C stop signal
	GOTO       L_WriteEEPROM_0_bank3
L_WriteEEPROM_0_bank4:
;I2C.c,86 :: 		ByteRS=0;
	CLRF       _ByteRS+0
;I2C.c,87 :: 		}
	RETURN
; end of _WriteEEPROM_0_bank

_WriteEEPROM_1_bank:

;I2C.c,89 :: 		void WriteEEPROM_1_bank(char adr)                                                   //   2404  257-512 
;I2C.c,92 :: 		for (k=0; k<64; k++)
	CLRF       WriteEEPROM_1_bank_k_L0+0
L_WriteEEPROM_1_bank7:
	MOVLW      64
	SUBWF      WriteEEPROM_1_bank_k_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_WriteEEPROM_1_bank8
;I2C.c,94 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,95 :: 		I2C1_Wr(0xA2);                                                                // send byte via I2C  (device address + 1_ + W)
	MOVLW      162
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,96 :: 		I2C1_Wr(k + adr);                                                                   // send byte (address of EEPROM location)
	MOVF       FARG_WriteEEPROM_1_bank_adr+0, 0
	ADDWF      WriteEEPROM_1_bank_k_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,97 :: 		I2C1_Wr(BUFfrom[k]);                                                          // send data (data to be written)
	MOVF       WriteEEPROM_1_bank_k_L0+0, 0
	ADDLW      _BUFfrom+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,98 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,99 :: 		Delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_WriteEEPROM_1_bank10:
	DECFSZ     R13+0, 1
	GOTO       L_WriteEEPROM_1_bank10
	DECFSZ     R12+0, 1
	GOTO       L_WriteEEPROM_1_bank10
;I2C.c,92 :: 		for (k=0; k<64; k++)
	INCF       WriteEEPROM_1_bank_k_L0+0, 1
;I2C.c,100 :: 		}                                                                             // issue I2C stop signal
	GOTO       L_WriteEEPROM_1_bank7
L_WriteEEPROM_1_bank8:
;I2C.c,101 :: 		ByteRS=0;
	CLRF       _ByteRS+0
;I2C.c,102 :: 		}
	RETURN
; end of _WriteEEPROM_1_bank

_CopyEEPROM:

;I2C.c,104 :: 		void CopyEEPROM(char adr_h, char adr_l, char txt[16])                                                          //    24512  2404 512 
;I2C.c,130 :: 		ByteRS=0;
	CLRF       _ByteRS+0
;I2C.c,131 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;I2C.c,132 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,133 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,134 :: 		Lcd_Out(1,4,txt);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       FARG_CopyEEPROM_txt+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,135 :: 		Lcd_Out(2,2,txt1);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,137 :: 		}
	RETURN
; end of _CopyEEPROM

_FormatEEPROM:

;I2C.c,139 :: 		void FormatEEPROM(void)                                                       //   2404
;I2C.c,142 :: 		for (i=0; i<=255; i++)
	CLRF       FormatEEPROM_i_L0+0
	CLRF       FormatEEPROM_i_L0+1
L_FormatEEPROM11:
	MOVF       FormatEEPROM_i_L0+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__FormatEEPROM31
	MOVF       FormatEEPROM_i_L0+0, 0
	SUBLW      255
L__FormatEEPROM31:
	BTFSS      STATUS+0, 0
	GOTO       L_FormatEEPROM12
;I2C.c,144 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,145 :: 		I2C1_Wr(0xA0);                                                                // send byte via I2C  (device address + 0_bank + W)
	MOVLW      160
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,146 :: 		I2C1_Wr(i);                                                                   // send byte (address of EEPROM location)
	MOVF       FormatEEPROM_i_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,147 :: 		I2C1_Wr(0xFF);                                                                //    
	MOVLW      255
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,148 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,149 :: 		Delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_FormatEEPROM14:
	DECFSZ     R13+0, 1
	GOTO       L_FormatEEPROM14
	DECFSZ     R12+0, 1
	GOTO       L_FormatEEPROM14
;I2C.c,142 :: 		for (i=0; i<=255; i++)
	INCF       FormatEEPROM_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       FormatEEPROM_i_L0+1, 1
;I2C.c,150 :: 		}
	GOTO       L_FormatEEPROM11
L_FormatEEPROM12:
;I2C.c,151 :: 		for (i=0; i<=255; i++)
	CLRF       FormatEEPROM_i_L0+0
	CLRF       FormatEEPROM_i_L0+1
L_FormatEEPROM15:
	MOVF       FormatEEPROM_i_L0+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__FormatEEPROM32
	MOVF       FormatEEPROM_i_L0+0, 0
	SUBLW      255
L__FormatEEPROM32:
	BTFSS      STATUS+0, 0
	GOTO       L_FormatEEPROM16
;I2C.c,153 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,154 :: 		I2C1_Wr(0xA2);                                                                // send byte via I2C  (device address + 1_bank + W)
	MOVLW      162
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,155 :: 		I2C1_Wr(i);                                                                   // send byte (address of EEPROM location)
	MOVF       FormatEEPROM_i_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,156 :: 		I2C1_Wr(0xFF);                                                                //     000
	MOVLW      255
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,157 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,158 :: 		Delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_FormatEEPROM18:
	DECFSZ     R13+0, 1
	GOTO       L_FormatEEPROM18
	DECFSZ     R12+0, 1
	GOTO       L_FormatEEPROM18
;I2C.c,151 :: 		for (i=0; i<=255; i++)
	INCF       FormatEEPROM_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       FormatEEPROM_i_L0+1, 1
;I2C.c,159 :: 		}                                                                             // issue I2C stop signal
	GOTO       L_FormatEEPROM15
L_FormatEEPROM16:
;I2C.c,160 :: 		ByteRS=0;
	CLRF       _ByteRS+0
;I2C.c,161 :: 		UART1_Write_Text("FORMAT EEPROM OK");
	MOVLW      ?lstr21_I2C+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;I2C.c,162 :: 		Lcd_Cmd(_LCD_CLEAR);                                                          // Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,163 :: 		Lcd_Out(1,1,"FORMAT EEPROM OK");                                              // Write text in first row
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr22_I2C+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,164 :: 		}
	RETURN
; end of _FormatEEPROM

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;I2C.c,168 :: 		void interrupt() {
;I2C.c,170 :: 		if (PIR1.F5) {
	BTFSS      PIR1+0, 5
	GOTO       L_interrupt19
;I2C.c,171 :: 		ByteRS=RCREG;
	MOVF       RCREG+0, 0
	MOVWF      _ByteRS+0
;I2C.c,172 :: 		PIR1.F5 = 0;
	BCF        PIR1+0, 5
;I2C.c,173 :: 		}
L_interrupt19:
;I2C.c,174 :: 		}//~
L__interrupt33:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_main:

;I2C.c,177 :: 		void main()
;I2C.c,180 :: 		unsigned short N = 1;                                                             //   
;I2C.c,181 :: 		TRISB=0b00000011;                                                             //0  1    ,   
	MOVLW      3
	MOVWF      TRISB+0
;I2C.c,182 :: 		OPTION_REG.F7 = 0;                                                            //    
	BCF        OPTION_REG+0, 7
;I2C.c,183 :: 		TRISC=0b11111111;                                                             //
	MOVLW      255
	MOVWF      TRISC+0
;I2C.c,184 :: 		TRISA=0b11111111;                                                             //
	MOVLW      255
	MOVWF      TRISA+0
;I2C.c,185 :: 		PORTA=0b00111111;                                                             //
	MOVLW      63
	MOVWF      PORTA+0
;I2C.c,186 :: 		ADCON1 = 0x06;                                                                // PORTA 
	MOVLW      6
	MOVWF      ADCON1+0
;I2C.c,187 :: 		INTCON.F6 = 1;                                                                //    
	BSF        INTCON+0, 6
;I2C.c,188 :: 		OPTION_REG.F6 = 1;                                                            //      INT
	BSF        OPTION_REG+0, 6
;I2C.c,189 :: 		INTCON.F4 = 0;                                                                //     INT __________________
	BCF        INTCON+0, 4
;I2C.c,190 :: 		PIE1.F5 = 1;                                                                  //    USART
	BSF        PIE1+0, 5
;I2C.c,191 :: 		INTCON.F7 = 1;                                                                //  
	BSF        INTCON+0, 7
;I2C.c,192 :: 		UART1_Init(9600);                                                             // UART module  9600 bps
	MOVLW      129
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;I2C.c,193 :: 		Delay_ms(100);                                                                //  UART module 
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main20:
	DECFSZ     R13+0, 1
	GOTO       L_main20
	DECFSZ     R12+0, 1
	GOTO       L_main20
	DECFSZ     R11+0, 1
	GOTO       L_main20
	NOP
	NOP
;I2C.c,196 :: 		UART1_Write_Text("Start\n");                                                  //  Usart
	MOVLW      ?lstr23_I2C+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;I2C.c,197 :: 		ADCON1 = 0x06;                                                                // PORTA 
	MOVLW      6
	MOVWF      ADCON1+0
;I2C.c,198 :: 		I2C1_Init(100000);                                                            // initialize I2C communication
	MOVLW      50
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;I2C.c,200 :: 		Lcd_Init();                                                                   // Initialize LCD
	CALL       _Lcd_Init+0
;I2C.c,201 :: 		Lcd_Cmd(_LCD_CLEAR);                                                          // Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,202 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);                                                     // Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,203 :: 		Lcd_Out(1,1,"RUSSO_TURISTO");                                                 // Write text in first row
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr24_I2C+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,204 :: 		Lcd_Out(2,4,"COPY EEPROM");                                                   // Write text in second row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr25_I2C+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,205 :: 		Delay_ms(2000);
	MOVLW      51
	MOVWF      R11+0
	MOVLW      187
	MOVWF      R12+0
	MOVLW      223
	MOVWF      R13+0
L_main21:
	DECFSZ     R13+0, 1
	GOTO       L_main21
	DECFSZ     R12+0, 1
	GOTO       L_main21
	DECFSZ     R11+0, 1
	GOTO       L_main21
	NOP
	NOP
;I2C.c,207 :: 		while (1)
L_main22:
;I2C.c,209 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,210 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,211 :: 		Lcd_Out(1,8,"3");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr26_I2C+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,212 :: 		Lcd_Out(2,1,&chip[3]);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _chip+3
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,213 :: 		UART1_Write_Text(&chip[3]);
	MOVLW      _chip+3
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;I2C.c,216 :: 		while (PORTA & 0b00001111)//do {
L_main24:
	MOVLW      15
	ANDWF      PORTA+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L_main25
;I2C.c,217 :: 		if (Button(&PORTA, 1, 10, 0)) oldstate = 1;
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main26
	BSF        main_oldstate_L0+0, BitPos(main_oldstate_L0+0)
L_main26:
	GOTO       L_main24
L_main25:
;I2C.c,218 :: 		if (oldstate && Button(&PORTA, 0, 10, 1))
	BTFSS      main_oldstate_L0+0, BitPos(main_oldstate_L0+0)
	GOTO       L_main29
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main29
L__main30:
;I2C.c,221 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,222 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,223 :: 		Lcd_Out(1,1,&chip[1]);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _chip+1
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,224 :: 		Lcd_Out(2,4,"COPY EEPROM");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr27_I2C+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,225 :: 		oldstate = 0;
	BCF        main_oldstate_L0+0, BitPos(main_oldstate_L0+0)
;I2C.c,226 :: 		}
L_main29:
;I2C.c,246 :: 		}
	GOTO       L_main22
;I2C.c,247 :: 		}                                                                           //   
	GOTO       $+0
; end of _main
